> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Task Schedule

> Task Schedule is a mechanism to generate tasks according to the schedule that is set by you

## What is Task Schedule?

Task Schedule is a mechanism to generate tasks according to the schedule that is set by you. The task schedule attributes consist of IDs, repetition period data (daily, weekly, etc.), flow structure, task content, and time of the schedule's start & end. This schedule could help you to set a task that will be repeated at a certain period.

**To see the details of task schedule object, please follow [this link](/api-reference/objects/task-schedule-object)**

## Key Features

<CardGroup cols={2}>
  <Card title="Read task schedule" icon="list" href="/api-reference/task/task-schedule/read-task-schedule">
    GET /task/schedules
  </Card>

  <Card title="Read task schedule by ID" icon="list" href="/api-reference/task/task-schedule/read-task-schedule-by-id">
    GET /task/schedule/{id}
  </Card>

  <Card title="Create task schedule" icon="plus" href="/api-reference/task/task-schedule/create-task-schedule">
    POST /task/schedule
  </Card>

  <Card title="Bulk create task schedule" icon="plus" href="/api-reference/task/task-schedule/bulk-create-task-schedule">
    POST /task/schedules/bulk
  </Card>
</CardGroup>

## Related Resources

* [Task Schedule Object](/api-reference/objects/task-schedule-object) - Task Schedule data structure
